Subject: [alpine-aports] [PATCH 1/2] testing/djvulibre: new aport

From: Andrew Hills <[email-masked]>
Date: Sun, 7 Jun 2015 17:55:57 -0400

http://djvu.sourceforge.net
An open source implementation of DjVu
---
 testing/djvulibre/APKBUILD | 40 ++++++++++++++++++++++++++++++++++++++++
 1 file changed, 40 insertions(+)
 create mode 100644 testing/djvulibre/APKBUILD

diff --git a/testing/djvulibre/APKBUILD b/testing/djvulibre/APKBUILD
new file mode 100644
index 0000000..cebce43
--- /dev/null
+++ b/testing/djvulibre/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Andrew Hills <[email-masked]>
+# Maintainer: Andrew Hills <[email-masked]>
+pkgname=djvulibre
+pkgver=3.5.27
+pkgrel=0
+pkgdesc="An open source implementation of DjVu"
+url="http://djvu.sourceforge.net"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/djvu/djvulibre-$pkgver.tar.gz"
+
+_builddir="$srcdir"/djvulibre-$pkgver
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info \
+		--localstatedir=/var \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="aa4ed331f669f5a72e3c0d7f9196c4e6  djvulibre-3.5.27.tar.gz"
+sha256sums="e69668252565603875fb88500cde02bf93d12d48a3884e472696c896e81f505f  djvulibre-3.5.27.tar.gz"
+sha512sums="62abcaa2fe7edab536477929ba38b882453dab1a06e119a3f838b38d5c61f5d8c252e4769e6534582b826e49bcfb490513179580fab9c3afa84aa92053ccebee  djvulibre-3.5.27.tar.gz"
-- 
2.4.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Andrew Hills <[email-masked]>
Date: Sun, 7 Jun 2015 17:55:58 -0400

https://pwmt.org/projects/zathura-djvu
DjVu support for zathura
---
 testing/zathura-djvu/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/zathura-djvu/APKBUILD

diff --git a/testing/zathura-djvu/APKBUILD b/testing/zathura-djvu/APKBUILD
new file mode 100644
index 0000000..a739ce5
--- /dev/null
+++ b/testing/zathura-djvu/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Andrew Hills <[email-masked]>
+# Maintainer: Andrew Hills <[email-masked]>
+pkgname=zathura-djvu
+pkgver=0.2.4
+pkgrel=0
+pkgdesc="DjVu support for zathura"
+url="https://pwmt.org/projects/zathura-djvu"
+arch="all"
+license="zlib"
+depends=""
+depends_dev=""
+makedepends="$depends_dev zathura-dev girara-dev djvulibre-dev gtk+3.0-dev"
+install=""
+subpackages=""
+source="https://pwmt.org/projects/zathura-djvu/download/zathura-djvu-$pkgver.tar.gz"
+
+_builddir="$srcdir"/zathura-djvu-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="672a25dc9433b2541971c2e4e052bdd3  zathura-djvu-0.2.4.tar.gz"
+sha256sums="ac10b8c07fd9f58281225e1a4cb026634cd03bf6b549eaceeea02f99ab5334bc  zathura-djvu-0.2.4.tar.gz"
+sha512sums="192df545b686259089342044ab682c2517f8e377667a9d44f6f416e1ac7fb7b2e45fa22d34004583c6081650a15d2becb350296a39a647a8dcd2ccc7ef1066d8  zathura-djvu-0.2.4.tar.gz"
-- 
2.4.2

---